import { Polygon } from "./polygon";
export declare class Node {
    front: Node | undefined;
    back: Node | undefined;
    polygons: Polygon[];
    divider: Polygon | undefined;
    constructor(polygons?: Polygon[]);
    clone(): Node;
    invert(): void;
    clipPolygons(polygons: Polygon[]): any;
    clipTo(node: Node): void;
}
